Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.jdbc
Class JdbcBeanAdapter

    java.lang.Object
      |
      +--org.w3c.tools.jdbc.JdbcBeanAdapter

All Implemented Interfaces:
  JdbcBeanInterface, java.io.Serializable

public class JdbcBeanAdapter
extends java.lang.Object
implements JdbcBeanInterface, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected JdbcBeanInterface` | `defaultbean`
`protected java.lang.String` | `jdbcDriver`
`protected java.lang.String` | `jdbcPassword`
`protected java.lang.String` | `jdbcTable`
`protected java.lang.String` | `jdbcURI`
`protected java.lang.String` | `jdbcUser`
`protected int` | `maxConn`
`protected java.beans.PropertyChangeSupport` | `pcs`
`protected boolean` | `readonly`
`protected JdbcBeanSerializer` | `serializer`

Constructor Summary
`JdbcBeanAdapter()` Constructor

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
`JdbcBeanInterface` | `getDefault()`
`java.lang.String` | `getJdbcDriver()` Get the JDBC driver
`java.lang.String` | `getJdbcPassword()` Get the password property
`java.lang.String` | `getJdbcTable()` Return the name of the SQL table
`java.lang.String` | `getJdbcURI()` Get the Jdbc URI
`java.lang.String` | `getJdbcUser()` get the Jdbc username property
`int` | `getMaxConn()` Get the max number os simultaneous Jdbc connections
`boolean` | `getReadOnly()` Is this table read-only? (default is false)
`JdbcBeanSerializer` | `getSerializer()` Get our SQL serializer
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Remove a PropertyChangeListener to the listener list.
`void` | `setJdbcDriver(java.lang.String jdbcDriver)` Set the JDBC driver
`void` | `setJdbcPassword(java.lang.String jdbcPassword)` Set the password property
`void` | `setJdbcTable(java.lang.String jdbcTable)` Set the name of the SQL table
`void` | `setJdbcURI(java.lang.String jdbcURI)` Set the Jdbc URI
`void` | `setJdbcUser(java.lang.String jdbcUser)` Set the Jdbc username property
`void` | `setMaxConn(int maxConn)` Set the max number os simultaneous Jdbc connections
`void` | `setReadOnly(boolean readonly)` Set the read-only flag

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxConn

    protected int maxConn

### jdbcDriver

    protected java.lang.String jdbcDriver

### jdbcUser

    protected java.lang.String jdbcUser

### jdbcPassword

    protected java.lang.String jdbcPassword

### jdbcURI

    protected java.lang.String jdbcURI

### jdbcTable

    protected java.lang.String jdbcTable

### readonly

    protected boolean readonly

### pcs

    protected java.beans.PropertyChangeSupport pcs

### serializer

    protected JdbcBeanSerializer serializer

### defaultbean

    protected JdbcBeanInterface defaultbean

Constructor Detail

### JdbcBeanAdapter

    public JdbcBeanAdapter()

  Constructor

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Add a PropertyChangeListener to the listener list. The listener is registered for all properties.

  Specified by:
    `addPropertyChangeListener` in interface `JdbcBeanInterface`
  Parameters:
    `listener` - The PropertyChangeListener to be added

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Remove a PropertyChangeListener to the listener list.

  Specified by:
    `removePropertyChangeListener` in interface `JdbcBeanInterface`
  Parameters:
    `listener` - The PropertyChangeListener to be removed.

### setJdbcDriver

    public void setJdbcDriver(java.lang.String jdbcDriver)

  Set the JDBC driver

  Specified by:
    `setJdbcDriver` in interface `JdbcBeanInterface`
  Parameters:
    `jdbcDriver` - the jdbc driver

### getJdbcDriver

    public java.lang.String getJdbcDriver()

  Get the JDBC driver

  Specified by:
    `getJdbcDriver` in interface `JdbcBeanInterface`
  Returns:
    the jdbc driver

### setJdbcUser

    public void setJdbcUser(java.lang.String jdbcUser)

  Set the Jdbc username property

  Specified by:
    `setJdbcUser` in interface `JdbcBeanInterface`
  Parameters:
    `jdbcUser` - the username

### getJdbcUser

    public java.lang.String getJdbcUser()

  get the Jdbc username property

  Specified by:
    `getJdbcUser` in interface `JdbcBeanInterface`
  Returns:
    the Jdbc username property

### setJdbcPassword

    public void setJdbcPassword(java.lang.String jdbcPassword)

  Set the password property

  Specified by:
    `setJdbcPassword` in interface `JdbcBeanInterface`
  Parameters:
    `jdbcPassword` - the password

### getJdbcPassword

    public java.lang.String getJdbcPassword()

  Get the password property

  Specified by:
    `getJdbcPassword` in interface `JdbcBeanInterface`
  Returns:
    the Jdbc password

### setJdbcURI

    public void setJdbcURI(java.lang.String jdbcURI)

  Set the Jdbc URI

  Specified by:
    `setJdbcURI` in interface `JdbcBeanInterface`
  Parameters:
    `jdbcURI` - the URI (ie: jdbc:protocol://host/db)

### getJdbcURI

    public java.lang.String getJdbcURI()

  Get the Jdbc URI

  Specified by:
    `getJdbcURI` in interface `JdbcBeanInterface`
  Returns:
    the URI (ie: jdbc:protocol://host/db)

### setMaxConn

    public void setMaxConn(int maxConn)

  Set the max number os simultaneous Jdbc connections

  Specified by:
    `setMaxConn` in interface `JdbcBeanInterface`
  Parameters:
    `maxConn` - the max number of connections

### getMaxConn

    public int getMaxConn()

  Get the max number os simultaneous Jdbc connections

  Specified by:
    `getMaxConn` in interface `JdbcBeanInterface`
  Returns:
    the max number of connections

### setJdbcTable

    public void setJdbcTable(java.lang.String jdbcTable)

  Set the name of the SQL table

  Specified by:
    `setJdbcTable` in interface `JdbcBeanInterface`
  Parameters:
    `jdbcTable` - the SQL table name

### getJdbcTable

    public java.lang.String getJdbcTable()

  Return the name of the SQL table

  Specified by:
    `getJdbcTable` in interface `JdbcBeanInterface`
  Returns:
    the SQL table name

### setReadOnly

    public void setReadOnly(boolean readonly)

  Set the read-only flag

  Specified by:
    `setReadOnly` in interface `JdbcBeanInterface`
  Parameters:
    `readonly` -

### getReadOnly

    public boolean getReadOnly()

  Is this table read-only? (default is false)

  Specified by:
    `getReadOnly` in interface `JdbcBeanInterface`
  Returns:
    a boolean

### getSerializer

    public JdbcBeanSerializer getSerializer()

  Get our SQL serializer

  Specified by:
    `getSerializer` in interface `JdbcBeanInterface`
  Returns:
    a JdbcBeanSerializer instance

### getDefault

    public JdbcBeanInterface getDefault()

  Specified by:
    `getDefault` in interface `JdbcBeanInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD